> ## Documentation Index
> Fetch the complete documentation index at: https://docs.metronome.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Limits

Metronome enforces two categories of limits: platform limits cap the number of objects you can create within your account, and API rate limits cap how frequently you can call each endpoint. The below tables detail **default limits only**. Limits can be configurable per client - if you have custom limits or need higher limits, reach out to your Metronome representative for more information.

***

## API rate limits

All limits are measured in requests per second. Exceeding a limit returns a `429 Too Many Requests` response.

| Tier                                 | Req / sec | Representative endpoints                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                              |
| ------------------------------------ | --------: | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Global API rate limit                |     2,750 | All endpoints combined                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                |
| Event ingestion                      |     1,100 | -[`POST /v1/ingest`](https://docs.metronome.com/api-reference/usage/ingest-events)                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| High frequency read operations       |       220 | -[`GET /v1/customers`](https://docs.metronome.com/api-reference/customers/list-customers) <br />- [`GET /v1/customers/`{`customer_id`}` `](https://docs.metronome.com/api-reference/customers/get-a-customer) <br />- [`GET /v1/billable-metrics`](https://docs.metronome.com/api-reference/billable-metrics/list-all-billable-metrics) <br />- [`GET /v1/customers/`{`customer_id`}`/billable-metrics`](https://docs.metronome.com/api-reference/billable-metrics/get-billable-metrics-for-a-customer) <br />- [`POST /v1/usage/groups`](https://docs.metronome.com/api-reference/usage/get-usage-data-with-paginated-groupings)                                                                                                                                                                                                                                                                                                                                                     |
| Standard operations                  |        55 | -[`POST /v1/customers`](https://docs.metronome.com/api-reference/customers/create-a-customer) <br />- [`POST /v1/contracts/create`](https://docs.metronome.com/api-reference/contracts/create-a-contract) <br />-[`POST /v2/contracts/get`](https://docs.metronome.com/api-reference/contracts/get-a-contract-v2) <br />- [`POST/v1/alerts/create`](https://docs.metronome.com/api-reference/alerts/create-a-threshold-notification) <br />- [`POST /v1/customer-alerts/get`](https://docs.metronome.com/api-reference/alerts/get-a-threshold-notification) <br />-[`GET /v1/billable-metrics/`{`billable_metric_id`}` `](https://docs.metronome.com/api-reference/billable-metrics/get-a-billable-metric) <br />- [`POST /v1/billable-metrics/create`](https://docs.metronome.com/api-reference/billable-metrics/create-a-billable-metric) <br />- [`POST /v1/dashboards/getEmbeddableUrl`](https://docs.metronome.com/api-reference/customers/get-an-embeddable-customer-dashboard) |
| List contract, balances, or invoices |        11 | -[`POST /v1/contracts/customerBalances/getNetBalance`](https://docs.metronome.com/api-reference/credits-and-commits/get-the-net-balance-of-a-customer) <br />-[`GET /v1/customers/`{`customer_id`}`/invoices`](https://docs.metronome.com/api-reference/invoices/list-invoices)<br />- [`POST /v1/contracts/customerBalances/list`](https://docs.metronome.com/api-reference/credits-and-commits/list-balances) <br />- [`POST /v2/contracts/list`](https://docs.metronome.com/api-reference/contracts/list-customer-contracts-v2)                                                                                                                                                                                                                                                                                                                                                                                                                                                    |
| Default                              |         8 | All other endpoints                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                   |

To understand the rate limit for a specific endpoint not listed here, or to request a limit increase, contact [Metronome support](https://metronome.com/contact).

***

## Platform limits

All limits listed below are configured per-environment.

| Limit                                                               | Default Value |
| ------------------------------------------------------------------- | ------------: |
| Total contracts per customer                                        |            20 |
| Active contracts per customer                                       |             5 |
| Subscriptions per contract                                          |            20 |
| Seats per subscription                                              |         1,000 |
| Account hierarchy children per parent                               |            10 |
| Group keys per billable metric                                      |             5 |
| Active threshold notifications configured to apply to all customers |           300 |
| Active threshold notifications configured per customer              |         1,200 |
| Active webhook destinations                                         |             5 |
| Custom fields per object                                            |            50 |

***
